Add member
curl --request PUT \
--url https://api.sandbox.tesouro.com/identity/v1/departments/{departmentId}/members/{userId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tesouro.com/identity/v1/departments/{departmentId}/members/{userId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tesouro.com/identity/v1/departments/{departmentId}/members/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Departments
Add member
Token types: APP, USER | Accepted scopes (any of): user:write:all, user:write:org
PUT
/
identity
/
v1
/
departments
/
{departmentId}
/
members
/
{userId}
Add member
Authorizations
APPTokenUSERTokenAPPTokenUSERToken
Application (M2M) OAuth2 access token (client credentials).
Path Parameters
The ID of the department.
The ID of the user to assign.
Response
User assigned successfully.
Was this page helpful?